Drop‑in helyettesítés
KompatibilisMűködik az OpenAI és Anthropic SDK-kkal. Csak a base URL-t kell módosítani.
Minden nyelv egyenrangú. Válassza ki, melyiken szeretne böngészni.
OpenAI- és Anthropic‑kompatibilis AI API funkcióhívással, webes kereséssel és strukturált kimenetekkel.
Minden, amire szükséged van a Shannon OpenAI/Anthropic kompatibilis API-jával való induláshoz.
https://api.shannon-ai.com/v1/chat/completions Használd a Chat Completions API-t függvényhívással és streameléssel.
https://api.shannon-ai.com/v1/messages Claude Messages formátum eszközökkel és anthropic-version fejléccel.
Hitelesítés: Bearer <kulcsod> Vagy X-API-Key anthropic-versionnel a Claude‑stílusú hívásokhoz.
Nyilvános dokumentumok – kulcs szükséges a híváshoz Streaming, függvényhívás, strukturált kimenetek, webes keresés.
Drop‑in helyettesítés az OpenAI és Anthropic API-khoz, natív eszköz-, strukturált kimenet- és beépített webes keresés támogatással.
Működik az OpenAI és Anthropic SDK-kkal. Csak a base URL-t kell módosítani.
Definiálj eszközöket, a Shannon meghívja őket. Támogatja az auto, forced és none módot.
Valós idejű webes keresés forrás‑hivatkozásokkal. Automatikusan elérhető.
JSON mód és JSON Schema kényszerítés megbízható adatkivonáshoz.
Automatikus függvény‑végrehajtási ciklusok. Kérésenként akár 10 iteráció.
Server‑sent events a valós idejű token‑streameléshez.
Indulj három lépésben. Shannon tükrözi az OpenAI és Anthropic klienseket.
Használd az OpenAI‑kompatibilis végpontot.
https://api.shannon-ai.com/v1/chat/completions Használd a Bearer hitelesítést az Authorization fejlécben.
Válassz nyelvet és cseréld be a kulcsodat.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
max_tokens=1024
)
print(response.choices[0].message.content) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'system', content: 'You are a helpful assistant.' },
{ role: 'user', content: 'Hello, Shannon!' }
],
max_tokens: 1024
});
console.log(response.choices[0].message.content); package main
import (
"context"
"fmt"
openai "github.com/sashabaranov/go-openai"
)
func main() {
config := openai.DefaultConfig("YOUR_API_KEY")
config.BaseURL = "https://api.shannon-ai.com/v1"
client := openai.NewClientWithConfig(config)
resp, err := client.CreateChatCompletion(
context.Background(),
openai.ChatCompletionRequest{
Model: "shannon-1.6-lite",
Messages: []openai.ChatCompletionMessage{
{Role: "system", Content: "You are a helpful assistant."},
{Role: "user", Content: "Hello, Shannon!"},
},
MaxTokens: 1024,
},
)
if err != nil {
panic(err)
}
fmt.Println(resp.Choices[0].Message.Content)
} curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "shannon-1.6-lite",
"messages": [
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
"max_tokens": 1024
}' {
"id": "chatcmpl-abc123",
"object": "chat.completion",
"created": 1234567890,
"model": "Shannon 1.6 Lite",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "Hello! I'm Shannon, your AI assistant. How can I help you today?"
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 25,
"completion_tokens": 18,
"total_tokens": 43
}
} Teszteld a Shannon API-t közvetlenül a böngészőben. Készíts kérést, futtasd és nézd a választ valós időben.
Switch across OpenAI Chat Completions, Responses, and Anthropic Messages without leaving the playground.
Run real requests, inspect raw JSON, and view stream events from the same operator console.
Signed-in users can pull their Shannon API key straight into the dedicated playground workspace.
/hu/docs/playground The playground now lives on its own route so the API docs stay Astro-rendered while the request builder remains an explicitly interactive client tool.
Minden API‑kérés hitelesítést igényel a Shannon API‑kulcsoddal.
Authorization: Bearer YOUR_API_KEY X-API-Key: YOUR_API_KEY
anthropic-version: 2023-06-01 A Shannon több modellt kínál különböző felhasználásokhoz optimalizálva.
shannon-1.6-lite Shannon 1.6 Lite Gyors, hatékony válaszok mindennapi feladatokra
shannon-1.6-pro Shannon 1.6 Pro Fejlett érvelés összetett problémákhoz
shannon-2-lite Shannon 2 Lite
shannon-2-pro Shannon 2 Pro
shannon-coder-1 Shannon Coder Optimalizálva a Claude Code CLI-hez hívás alapú kvótával
Definiálj eszközöket, amelyeket a Shannon meghívhat műveletek végrehajtására vagy információ lekérésére.
from openai import OpenAI
import json
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Define available tools/functions
tools = [
{
"type": "function",
"function": {
"name": "get_weather",
"description": "Get current weather for a location",
"parameters": {
"type": "object",
"properties": {
"location": {
"type": "string",
"description": "City name, e.g., 'Tokyo'"
},
"unit": {
"type": "string",
"enum": ["celsius", "fahrenheit"]
}
},
"required": ["location"]
}
}
}
]
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[{"role": "user", "content": "What's the weather in Tokyo?"}],
tools=tools,
tool_choice="auto"
)
# Check if model wants to call a function
if response.choices[0].message.tool_calls:
tool_call = response.choices[0].message.tool_calls[0]
print(f"Function: {tool_call.function.name}")
print(f"Arguments: {tool_call.function.arguments}") import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const tools = [
{
type: 'function',
function: {
name: 'get_weather',
description: 'Get current weather for a location',
parameters: {
type: 'object',
properties: {
location: { type: 'string', description: "City name" },
unit: { type: 'string', enum: ['celsius', 'fahrenheit'] }
},
required: ['location']
}
}
}
];
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [{ role: 'user', content: "What's the weather in Tokyo?" }],
tools,
tool_choice: 'auto'
});
if (response.choices[0].message.tool_calls) {
const toolCall = response.choices[0].message.tool_calls[0];
console.log('Function:', toolCall.function.name);
console.log('Arguments:', toolCall.function.arguments);
} "auto" A modell eldönti, hív-e függvényt (alapértelmezett) "none" Függvényhívás letiltása ehhez a kéréshez {"type": "function", "function": {"name": "..."}} Egy adott függvényhívás kikényszerítése {
"id": "chatcmpl-xyz",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": null,
"tool_calls": [
{
"id": "call_abc123",
"type": "function",
"function": {
"name": "get_weather",
"arguments": "{\"location\": \"Tokyo\", \"unit\": \"celsius\"}"
}
}
]
},
"finish_reason": "tool_calls"
}
]
} Kényszerítsd a Shannont, hogy érvényes JSON-nal válaszoljon, amely megfelel a sémádnak.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Force JSON output with schema
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Extract: John Doe, 30 years old, engineer"}
],
response_format={
"type": "json_schema",
"json_schema": {
"name": "person_info",
"schema": {
"type": "object",
"properties": {
"name": {"type": "string"},
"age": {"type": "integer"},
"occupation": {"type": "string"}
},
"required": ["name", "age", "occupation"]
}
}
}
)
import json
data = json.loads(response.choices[0].message.content)
print(data) # {"name": "John Doe", "age": 30, "occupation": "engineer"} import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Extract: John Doe, 30 years old, engineer' }
],
response_format: {
type: 'json_schema',
json_schema: {
name: 'person_info',
schema: {
type: 'object',
properties: {
name: { type: 'string' },
age: { type: 'integer' },
occupation: { type: 'string' }
},
required: ['name', 'age', 'occupation']
}
}
}
});
const data = JSON.parse(response.choices[0].message.content);
console.log(data); // { name: "John Doe", age: 30, occupation: "engineer" } {"type": "json_object"} Érvényes JSON kimenet kikényszerítése (nincs konkrét séma) {"type": "json_schema", "json_schema": {...}} Kimenet kikényszerítése, amely megfelel a pontos sémádnak Valós idejű token‑streamelés Server‑Sent Events segítségével reszponzív felületekhez.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Enable streaming for real-time responses
stream = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Write a short poem about AI"}
],
stream=True
)
for chunk in stream:
if chunk.choices[0].delta.content:
print(chunk.choices[0].delta.content, end="", flush=True) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Enable streaming for real-time responses
const stream = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Write a short poem about AI' }
],
stream: true
});
for await (const chunk of stream) {
const content = chunk.choices[0]?.delta?.content;
if (content) process.stdout.write(content);
} A Shannon tartalmaz egy beépített web_search funkciót, amely automatikusan elérhető.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Web search is automatically available!
# Shannon will use it when needed for current information
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "What are the latest AI news today?"}
],
# Optionally, explicitly define web_search tool
tools=[{
"type": "function",
"function": {
"name": "web_search",
"description": "Search the web for current information",
"parameters": {
"type": "object",
"properties": {
"query": {"type": "string", "description": "Search query"}
},
"required": ["query"]
}
}
}]
)
print(response.choices[0].message.content)
# Response includes sources and citations import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Web search is automatically available!
// Shannon will use it when needed for current information
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'What are the latest AI news today?' }
],
// Optionally, explicitly define web_search tool
tools: [{
type: 'function',
function: {
name: 'web_search',
description: 'Search the web for current information',
parameters: {
type: 'object',
properties: {
query: { type: 'string', description: 'Search query' }
},
required: ['query']
}
}
}]
});
console.log(response.choices[0].message.content);
// Response includes sources and citations A Shannon az Anthropic Messages API formátumát is támogatja.
https://api.shannon-ai.com/v1/messages import anthropic
client = anthropic.Anthropic(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/messages"
)
response = client.messages.create(
model="shannon-1.6-lite",
max_tokens=1024,
messages=[
{"role": "user", "content": "Hello, Shannon!"}
],
# Tool use (Anthropic format)
tools=[{
"name": "web_search",
"description": "Search the web",
"input_schema": {
"type": "object",
"properties": {
"query": {"type": "string"}
},
"required": ["query"]
}
}]
)
print(response.content[0].text) import Anthropic from '@anthropic-ai/sdk';
const client = new Anthropic({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/messages'
});
const response = await client.messages.create({
model: 'shannon-1.6-lite',
max_tokens: 1024,
messages: [
{ role: 'user', content: 'Hello, Shannon!' }
],
// Tool use (Anthropic format)
tools: [{
name: 'web_search',
description: 'Search the web',
input_schema: {
type: 'object',
properties: {
query: { type: 'string' }
},
required: ['query']
}
}]
});
console.log(response.content[0].text); Használj bármilyen OpenAI vagy Anthropic SDK-t – csak a base URL-t kell módosítani.
Hivatalos OpenAI Python SDK – működik a Shannonnal
pip install openai Hivatalos OpenAI Node.js SDK – működik a Shannonnal
npm install openai Közösségi Go kliens OpenAI‑kompatibilis API-khoz
go get github.com/sashabaranov/go-openai Közösségi Ruby kliens OpenAI‑kompatibilis API-khoz
gem install ruby-openai Közösségi PHP kliens OpenAI‑kompatibilis API-khoz
composer require openai-php/client Aszinkron Rust kliens OpenAI‑kompatibilis API-khoz
cargo add async-openai Hivatalos Anthropic Python SDK – működik a Shannonnal
pip install anthropic Hivatalos Anthropic TypeScript SDK – működik a Shannonnal
npm install @anthropic-ai/sdk A Shannon szabványos HTTP státuszkódokat használ, és részletes hibaüzeneteket ad vissza.
{
"error": {
"message": "Invalid API key provided",
"type": "authentication_error",
"code": "invalid_api_key"
}
} Legutóbbi frissítések és fejlesztések a Shannon API-hoz.
YOUR_API_KEY Tartsd titokban az API‑kulcsodat. Az újragenerálás új kulcsot hoz létre és érvényteleníti a régit.
Nézd meg a token- és keresési fogyasztást ezen az oldalon, ha be vagy jelentkezve.
Hívásalapú kvóta a Shannon Coder (shannon-coder-1)-hez. 4 óránként resetelődik.
Szerezd meg az API‑kulcsodat és kezdj el ma építeni a Shannon AI‑jal.
Népszerű keresések: